package com.ruoyi.project.reliability.service;

import com.ruoyi.project.reliability.domain.TQualitativeAnalysis;
import com.ruoyi.project.reliability.domain.TRiskMatrixVo;

import java.util.List;

/**
 * 定性分析Service接口
 *
 * @author ssy
 * @date 2024-03-04
 */
public interface ITQualitativeAnalysisService {
    /**
     * 查询定性分析
     *
     * @param id 定性分析ID
     * @return 定性分析
     */
    public TQualitativeAnalysis selectTQualitativeAnalysisById(Long id);

    /**
     * 查询定性分析列表
     *
     * @param tQualitativeAnalysis 定性分析
     * @return 定性分析集合
     */
    public List<TQualitativeAnalysis> selectTQualitativeAnalysisList(TQualitativeAnalysis tQualitativeAnalysis);

    /**
     * 新增定性分析
     *
     * @param tQualitativeAnalysis 定性分析
     * @return 结果
     */
    public int insertTQualitativeAnalysis(TQualitativeAnalysis tQualitativeAnalysis);

    /**
     * 修改定性分析
     *
     * @param tQualitativeAnalysis 定性分析
     * @return 结果
     */
    public int updateTQualitativeAnalysis(TQualitativeAnalysis tQualitativeAnalysis);

    /**
     * 批量删除定性分析
     *
     * @param ids 需要删除的定性分析ID
     * @return 结果
     */
    public int deleteTQualitativeAnalysisByIds(Long[] ids);

    /**
     * 删除定性分析信息
     *
     * @param id 定性分析ID
     * @return 结果
     */
    public int deleteTQualitativeAnalysisById(Long id);

    public TRiskMatrixVo selectTRiskMatrixVoData();
}
